/*******************************************************************************
 * FoxUITutorialPromptWidget generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxUITutorialPromptWidget extends FoxUIBaseWidget within GFxMoviePlayer
    native(UI);

var const localized string OkayButtonLabel;
var const localized string DisableTutorialsToggleLabel;
var private bool bDisableTutorials;

function Initialize(optional string ExtInterfaceClickFunc)
{
    as_setButtonInfo(OkayButtonLabel, ExtInterfaceClickFunc);
    as_setToggleInfo(DisableTutorialsToggleLabel, "ei_toggleClicked");
    //return;    
}

function Cleanup()
{
    //return;    
}

function bool ShouldDisableTutorials()
{
    return bDisableTutorials;
    //return ReturnValue;    
}

function SetPromptFromTutorialProvider(const FoxDataProvider_Tutorial TutorialProvider)
{
    local array<TutorialMessageInfo> LocalizedSequence;
    local int I;
    local string SectionName;

    // End:0x206
    if(TutorialProvider != none)
    {
        SectionName = string(TutorialProvider.Name);
        SetString("title", GetLocalizedString("Title", SectionName));
        SetString("direction", TutorialProvider.ArrowDirection);
        LocalizedSequence.Length = TutorialProvider.TutorialSequence.Length;
        I = 0;
        J0xCE:
        // End:0x1F3 [Loop If]
        if(I < TutorialProvider.TutorialSequence.Length)
        {
            LocalizedSequence[I].sMessageTitle = GetLocalizedString(TutorialProvider.TutorialSequence[I].sMessageTitle, SectionName);
            LocalizedSequence[I].sMessageBody = GetLocalizedString(TutorialProvider.TutorialSequence[I].sMessageBody, SectionName);
            ++ I;
            // [Loop Continue]
            goto J0xCE;
        }
        as_updateDataProvider(LocalizedSequence);
    }
    //return;    
}

private final function ei_toggleClicked(string ButtonArg)
{
    bDisableTutorials = !bDisableTutorials;
    //return;    
}

private final function as_setButtonInfo(string ButtonLabel, string ExtInterfaceClickFunc, optional string ExtInterfaceClickArg)
{
    ActionScriptVoid("setButtonInfo");
    //return;    
}

private final function as_setToggleInfo(string ButtonLabel, string ExtInterfaceClickFunc, optional string ExtInterfaceClickArg)
{
    ActionScriptVoid("setToggleInfo");
    //return;    
}

private final function as_updateDataProvider(const array<TutorialMessageInfo> DataProvider)
{
    ActionScriptVoid("updateDataProvider");
    //return;    
}

defaultproperties
{
    OkayButtonLabel="OKAY"
    DisableTutorialsToggleLabel="DISABLE TUTORIALS"
    LocalizationPackageName="Tutorials"
}